@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;700&display=swap");

* {
  box-sizing: border-box;
}

:root {
  --primary-color: rgb(43, 42, 42);
  --secondary-color: rgb(15, 15, 15);
}

body {
  background-color: var(--primary-color);
  font-family: "Poppins", sans-serif;
  margin: 0;
}

header {
  padding: 1rem;
  display: flex;
  justify-content: flex-end;
  background-color: var(--secondary-color);
}

.card >button {
  background-image: linear-gradient(to right, rgb(65, 65, 65), rgb(0, 0, 0));
  border: 2px solid var(--primary-color);
  padding: 0.5rem 1rem;
  border-radius: 50px;
  font-size: 1rem;
  color: #fff;
  font-family: inherit;
}


.card-left >button {
  background-image: linear-gradient(to right, rgb(65, 65, 65), rgb(0, 0, 0));
  border: 2px solid var(--primary-color);
  padding: 0.5rem 1rem;
  border-radius: 50px;
  font-size: 1rem;
  color: #fff;
  font-family: inherit;
}

button:hover,
button:focus {
  outline: none;
  color: #fff;
  background-color: #3db5eb;
  border-color: #3db5eb;
}

button:active {
  color: #fff;
  background-color: var(--drk-blue);
  border-color: var(--drk-blue);
}

.search {
 background-image: linear-gradient(to right, rgb(65, 65, 65), rgb(0, 0, 0));
  border: 2px solid var(--primary-color);
  padding: 0.5rem 1rem;
  border-radius: 50px;
  color: #fff;
  font-family: inherit;
}

.search:focus {
  outline: 0;
  background-color: var(--primary-color);
}

.search::placeholder {
  text-align: center;
  color: white;
}

main {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.movie {
  width: 300px;
  margin: 1rem;
  border-radius: 3px;
  box-shadow: 0.2px 4px 5px rgba(0, 0, 0, 0.1);
  background-color: var(--secondary-color);
  position: relative;
  overflow: hidden;
}

.movie-info {
  color: #eee;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0.5rem 1rem 1rem;
  letter-spacing: 0.5px;
}

.movie-info h3 {
  margin-top: 0;
}

.movie-info span {
  background-color: var(--primary-color);
  padding: 0.25rem 0.5rem;
  border-radius: 3px;
  font-weight: bold;
}

.movie-info span.green {
  color: lightgreen;
}

.overview {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #fff;
  padding: 1rem;
  max-height: 100%;
  transform: translateY(101%);
  transition: transform 0.3s ease-in;
}

.movie:hover .overview {
  transform: translateY(0);
}

#tags {
  width: 80%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  margin: 10px auto;
}

.tag {
  color: white;
  padding: 20px 20px;
  border: 5px solid var(--primary-color);
  background-color: rgb(119, 119, 119);
  border-radius: 50px;
  margin: 5px;
  display: inline-block;
  cursor: pointer;
}

.know-more {
  background-color: rgb(0, 183, 255);
  color: white;
  font-size: 16px;
  font-weight: bold;
  border: 0;
  border-radius: 50px;
  padding: 10px 20px;
  margin-top: 5px;
}


.card-informando {
  font-family: "Poppins", sans-serif;
  margin: auto;
  width: 85%;
  border-radius: 50px;
  background-color: rgb(221, 221, 221);
  text-align: center;
}
